import pytest
from servicemanager.frappyman import make_proposed

sea_info = {
    'ma10.config': {'ma10'},
    'ma10.stick': {'ma10stick', 'ma10'},
    'rt.addon': {'rt', 'roomt'},
    'befilter.addon': {'befilter'},
}

given = dict(main='ma10', stick='ma10stick')
cfgs = dict(given)
seacfg = ['ma10', 'ma10']

@pytest.mark.parametrize('given, current, seacfg, output, proposed, proposedstrict', [

    ])
def test_proposed(given, current, seacfg, output, proposed, proposedstrict):
    prop, overview = make_proposed(given, current, seacfg, sea_info)
    assert overview == output
    assert prop == proposed
    props, overview = make_proposed(given, current, seacfg, sea_info, True)
    assert overview == output
    assert props == proposedstrict
